use actix_web::{Result, web};
use serde::Deserialize;

use crate::db::Database;
use crate::error::ApiError;

#[derive(Deserialize)]
struct CreateProject {
    name: String,
}

pub fn setup(cfg: &mut actix_web::web::ServiceConfig) {
    cfg.service(create_project);
}

#[actix_web::post("")]
async fn create_project(
    db: web::Data<Database>,
    create_project_struct: web::Json<CreateProject>,
) -> Result<web::Json<entity::project::Model>, ApiError> {
    let result = db.create_project(&create_project_struct.name).await?;

    Ok(web::Json(result))
}
