use super::Database;
use crate::error::ApiError;

use entity::project;
use sea_orm::ActiveModelTrait;
use sea_orm::ActiveValue::{NotSet, Set};

impl Database {
    pub async fn create_project(&self, name: &str) -> Result<project::Model, ApiError> {
        let project = project::ActiveModel {
            id: NotSet,
            name: Set(name.to_owned()),
        };

        let project = project.insert(&self.conn).await?;
        Ok(project)
    }
}
